XGrabServer(3X11)

NAME
XGrabServer, XUngrabServer - grab the server

SYNTAX

int XGrabServer(Display *display);

int XUngrabServer(Display *display);

ARGUMENTS

display
    Specifies the connection to the X server.

DESCRIPTION
The function disables processing of requests and close downs on all other connections than the one this request arrived on. You should not grab the X server any more than is absolutely necessary.

The function restarts processing of requests and close downs on other connections. You should avoid grabbing the X server as much as possible.

SEE ALSO
XGrabButton(3X11), XGrabKey(3X11), XGrabKeyboard(3X11), XGrabPointer(3X11)
Xlib - C Language X Interface